public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2020-10-29  5:03 Georgy Yakovlev
  0 siblings, 0 replies; 6+ messages in thread
From: Georgy Yakovlev @ 2020-10-29  5:03 UTC (permalink / raw
  To: gentoo-commits

commit:     06d012cc3dacb4a2c7ac2e28553c96965f9ddea9
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 29 04:57:19 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Oct 29 05:03:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06d012cc

sys-apps/systemd-tmpfiles: new package

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-apps/systemd-tmpfiles/Manifest                 |   1 +
 .../systemd-tmpfiles/files/stmpfiles-dev.confd     |   2 +
 .../systemd-tmpfiles/files/stmpfiles-dev.initd     |  20 +++
 .../systemd-tmpfiles/files/stmpfiles-setup.confd   |   2 +
 .../systemd-tmpfiles/files/stmpfiles-setup.initd   |  19 +++
 sys-apps/systemd-tmpfiles/metadata.xml             |   8 +
 .../systemd-tmpfiles/systemd-tmpfiles-246.ebuild   | 173 +++++++++++++++++++++
 7 files changed, 225 insertions(+)

diff --git a/sys-apps/systemd-tmpfiles/Manifest b/sys-apps/systemd-tmpfiles/Manifest
new file mode 100644
index 00000000000..0e7a4c8589d
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/Manifest
@@ -0,0 +1 @@
+DIST systemd-246.tar.gz 9534036 BLAKE2B 71b72abcd4d066d35d45d9835d41bec8faa9a7eddc80b48fe7073223f07d32f78a8442c52dc0800940f9750d9c5502123a633738981d797cf610d85df2035bf0 SHA512 7103f7da53f7ced3b5543c238f23bd11c82af8e37166c1720a90576b6b431b4329320c78726166c65a9f5e101dd465c0a86dd13c586c4e55e608a6273d8f324f

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.confd b/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.confd
new file mode 100644
index 00000000000..2ec4b5f0d8b
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.confd
@@ -0,0 +1,2 @@
+# Extra options to pass to stmpfiles
+#stmpfiles_opts=""

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd b/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd
new file mode 100644
index 00000000000..0952ef12cc2
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2020 Gentoo Authors
+# Released under the 2-clause BSD license.
+
+description="Set up tmpfiles.d entries for /dev"
+
+depend()
+{
+	provide stmpfiles-dev stmpfiles.dev tmpfiles-dev tmpfiles.dev
+	use dev-mount
+	before dev
+	keyword -prefix -vserver
+}
+
+start()
+{
+	ebegin "Setting up tmpfiles.d entries for /dev"
+	/bin/systemd-tmpfiles --prefix=/dev --create --boot ${stmpfiles_opts}
+	eend $?
+}

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.confd b/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.confd
new file mode 100644
index 00000000000..2ec4b5f0d8b
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.confd
@@ -0,0 +1,2 @@
+# Extra options to pass to stmpfiles
+#stmpfiles_opts=""

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd b/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd
new file mode 100644
index 00000000000..a55163d3fd6
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2020 Gentoo Authors
+# Released under the 2-clause BSD license.
+
+description="Set up tmpfiles.d entries"
+
+depend()
+{
+	provide stmpfiles-setup stmpfiles.setup tmpfiles-setup tmpfiles.setup
+	need localmount
+}
+
+start()
+{
+	ebegin "Setting up tmpfiles.d entries"
+	/bin/systemd-tmpfiles --exclude-prefix=/dev --create --remove --boot \
+		${stmpfiles_opts}
+	eend $?
+}

diff --git a/sys-apps/systemd-tmpfiles/metadata.xml b/sys-apps/systemd-tmpfiles/metadata.xml
new file mode 100644
index 00000000000..efcd58fe0b9
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>gyakovlev@gentoo.org</email>
+		<name>Georgy Yakovlev</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild
new file mode 100644
index 00000000000..5b99c6958bc
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild
@@ -0,0 +1,173 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MINKV="3.11"
+inherit meson
+
+DESCRIPTION="Creates, deletes and cleans up volatile and temporary files and directories"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
+SRC_URI="https://github.com/systemd/systemd/archive/v${PV}.tar.gz -> systemd-${PV}.tar.gz"
+
+LICENSE="BSD-2 GPL-2 LGPL-2.1 MIT public-domain"
+SLOT="0"
+KEYWORDS=""
+
+DEPEND="
+	>=sys-kernel/linux-headers-${MINKV}
+	sys-apps/acl:0=
+	>=sys-apps/util-linux-2.30:0=
+	sys-libs/libcap:0=
+"
+RDEPEND="${DEPEND}
+	!sys-apps/opentmpfiles
+	!sys-apps/systemd
+"
+
+S="${WORKDIR}/systemd-${PV}"
+
+src_configure() {
+	# disable everything until configure says "enabled features: ACL, tmpfiles"
+	local systemd_disable_options=(
+		adm-group
+		analyze
+		apparmor
+		audit
+		backlight
+		binfmt
+		blkid
+		bzip2
+		coredump
+		dbus
+		efi
+		elfutils
+		environment-d
+		fdisk
+		gcrypt
+		glib
+		gshadow
+		gnutls
+		hibernate
+		hostnamed
+		hwdb
+		idn
+		ima
+		initrd
+		firstboot
+		kernel-install
+		kmod
+		ldconfig
+		libcryptsetup
+		libcurl
+		libfido2
+		libidn
+		libidn2
+		libiptc
+		link-networkd-shared
+		link-systemctl-shared
+		link-timesyncd-shared
+		link-udev-shared
+		localed
+		logind
+		lz4
+		machined
+		microhttpd
+		networkd
+		nss-myhostname
+		nss-resolve
+		nss-systemd
+		openssl
+		p11kit
+		pam
+		pcre2
+		polkit
+		portabled
+		pstore
+		pwquality
+		randomseed
+		resolve
+		rfkill
+		seccomp
+		selinux
+		smack
+		sysusers
+		timedated
+		timesyncd
+		tpm
+		qrencode
+		quotacheck
+		userdb
+		utmp
+		vconsole
+		wheel-group
+		xdg-autostart
+		xkbcommon
+		xz
+		zlib
+		zstd
+	)
+
+	# prepend -D and append =false, e.g. zstd becomes -Dzstd=false
+	systemd_disable_options=( ${systemd_disable_options[@]/#/-D} )
+	systemd_disable_options=( ${systemd_disable_options[@]/%/=false} )
+
+	local emesonargs=(
+		-Dtmpfiles=true
+		-Dacl=true
+		-Dstandalone-binaries=true # this and below option does the magic
+		-Dstatic-libsystemd=true
+		-Dsysvinit-path=''
+		${systemd_disable_options[@]}
+	)
+	meson_src_configure
+}
+
+src_compile() {
+	# tmpfiles and sysusers can be built as standalone, link systemd-shared in statically.
+	# https://github.com/systemd/systemd/pull/16061 original implementation
+	# we just need to pass -Dstandalone-binaries=true and
+	# use <name>.standalone target below.
+	# check meson.build for if have_standalone_binaries condition per target.
+	local mytargets=(
+		systemd-tmpfiles.standalone
+		man/tmpfiles.d.5
+		man/systemd-tmpfiles.8
+	)
+	meson_src_compile "${mytargets[@]}"
+}
+
+src_install() {
+	# lean and mean installation, single binary and man-pages
+	pushd "${BUILD_DIR}" > /dev/null || die
+	into /
+	newbin systemd-tmpfiles.standalone systemd-tmpfiles
+
+	doman man/{systemd-tmpfiles.8,tmpfiles.d.5}
+
+	popd > /dev/null || die
+
+	# service files adapter from opentmpfiles
+	newinitd "${FILESDIR}"/stmpfiles-dev.initd stmpfiles-dev
+	newinitd "${FILESDIR}"/stmpfiles-setup.initd stmpfiles-setup
+
+	newconfd "${FILESDIR}"/stmpfiles-dev.confd stmpfiles-dev
+	newconfd "${FILESDIR}"/stmpfiles-setup.confd stmpfiles-setup
+}
+
+# adapted from opentmpfiles ebuild
+add_service() {
+	local initd=$1
+	local runlevel=$2
+
+	elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
+	mkdir -p "${EROOT}/etc/runlevels/${runlevel}"
+	ln -snf "${EROOT}/etc/init.d/${initd}" "${EROOT}/etc/runlevels/${runlevel}/${initd}"
+}
+
+pkg_postinst() {
+	if [[ -z $REPLACING_VERSIONS ]]; then
+		add_service stmpfiles-dev sysinit
+		add_service stmpfiles-setup boot
+	fi
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2021-02-17 18:50 Georgy Yakovlev
  0 siblings, 0 replies; 6+ messages in thread
From: Georgy Yakovlev @ 2021-02-17 18:50 UTC (permalink / raw
  To: gentoo-commits

commit:     fad8143675dd45c9f725c02bd94bf8fe815851e3
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 18:49:11 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 18:49:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fad81436

sys-apps/systemd-tmpfiles: fix build on recent musl

Thanks-to: ernsteiswuerfel <erhard_f <AT> mailbox.org>
Closes: https://bugs.gentoo.org/766833
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-apps/systemd-tmpfiles/files/musl-1.2.2.patch      | 14 ++++++++++++++
 sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild |  1 +
 2 files changed, 15 insertions(+)

diff --git a/sys-apps/systemd-tmpfiles/files/musl-1.2.2.patch b/sys-apps/systemd-tmpfiles/files/musl-1.2.2.patch
new file mode 100644
index 00000000000..dc8905d5aab
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/musl-1.2.2.patch
@@ -0,0 +1,14 @@
+diff --git a/meson.build b/meson.build
+index bea9935..03b40f2 100644
+--- a/meson.build
++++ b/meson.build
+@@ -510,7 +510,8 @@ foreach ident : [
+                                  #include <sys/stat.h>
+                                  #include <unistd.h>'''],
+         ['explicit_bzero' ,   '''#include <string.h>'''],
+-        ['reallocarray',      '''#include <malloc.h>'''],
++        ['reallocarray',      '''#include <malloc.h>
++                                 #include <stdlib.h>'''],
+         ['set_mempolicy',     '''#include <stdlib.h>
+                                  #include <unistd.h>'''],
+         ['get_mempolicy',     '''#include <stdlib.h>

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild
index e4e1196d366..d12d038db90 100644
--- a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild
+++ b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-246.ebuild
@@ -53,6 +53,7 @@ src_prepare() {
 	# musl patchset from:
 	# http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd
 	use elibc_musl && eapply "${WORKDIR}/${P}-musl"
+	use elibc_musl && eapply "${FILESDIR}/musl-1.2.2.patch" # https://bugs.gentoo.org/766833
 	default
 }
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2021-08-04 10:59 Georgy Yakovlev
  0 siblings, 0 replies; 6+ messages in thread
From: Georgy Yakovlev @ 2021-08-04 10:59 UTC (permalink / raw
  To: gentoo-commits

commit:     db2fad6c5aab3b6ac4cc3870615b83b297b433ec
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  4 10:57:35 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Wed Aug  4 10:59:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db2fad6c

sys-apps/systemd-tmpfiles: add 249.2, unkeyworded for more testing

Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-apps/systemd-tmpfiles/Manifest                 |   2 +
 .../files/249-sys-include-posix.patch              |  67 ++++++
 .../systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild | 250 +++++++++++++++++++++
 3 files changed, 319 insertions(+)

diff --git a/sys-apps/systemd-tmpfiles/Manifest b/sys-apps/systemd-tmpfiles/Manifest
index c04aac30f3d..b50e3035769 100644
--- a/sys-apps/systemd-tmpfiles/Manifest
+++ b/sys-apps/systemd-tmpfiles/Manifest
@@ -1,4 +1,6 @@
 DIST systemd-246.tar.gz 9534036 BLAKE2B 71b72abcd4d066d35d45d9835d41bec8faa9a7eddc80b48fe7073223f07d32f78a8442c52dc0800940f9750d9c5502123a633738981d797cf610d85df2035bf0 SHA512 7103f7da53f7ced3b5543c238f23bd11c82af8e37166c1720a90576b6b431b4329320c78726166c65a9f5e101dd465c0a86dd13c586c4e55e608a6273d8f324f
+DIST systemd-musl-patches-249.1-r0.tar.xz 24276 BLAKE2B ba96bcfb04096d639d7ee028b219bb90648b6aa8aaefe804cd658d3fb8c4f9770b617dc9c5ddfb93e876b739ad927d037c881cbfb19d2db095fa897f3bb83d20 SHA512 9bd7ea515184e44bfa50c9f415200c62f931c657a49cd53a15ee9719991f3773c12ca7162dc12f61a7e67ed791405e879f9b5a13c9fa09fab464be269508f31f
 DIST systemd-stable-248.3.tar.gz 10320940 BLAKE2B 725494e0197dd182de55e4967088f4b4b709e6b2242723368b6cd95606582e01a57322b1f18fa194149055140a90993696734ad3c004843bfaceb72cd04a3a84 SHA512 8e7ff0d5e63cc933e4dc23f7e0bef9707fde90396605eb8822d34de90d7abe8fd37e5739e33b657868218aa7281147cc944c096c007324c3e6fb54d833a83485
+DIST systemd-stable-249.2.tar.gz 10591728 BLAKE2B fb24c681cf2328aa26fa49a8ba20cccd1ee0fae82ec9f9931a69eaa377fc01b2ece12fdf407444514d494b8ac1418f155b0fceeff4925bebaba691f0b8a2acc8 SHA512 4f42a0b93156529a464545361436fa98193e12a7e0809315b9fdedbcf33b81dd2037acac27fb0dfefcb2679bc49ebb6da4d152ecb4b15db797c81f7ca4588a11
 DIST systemd-tmpfiles-246-musl.tar.xz 25860 BLAKE2B 87fc4ca37abec9c1a0cee48bf78c575bd53e16a50d427eff338159dc6d5474ffd328af533ccf90a0e1e160a16baa7378070f418f2be0d7f77e00907a5d07d30e SHA512 4a93d9f0cb2df2dd0a2f91820615dd3a95d19583f45dc0589e37ceaedfc2040112310a6e3fc525e28e222e96a91498af2fe8541b5bf86a635c0f52dd1a84deb7
 DIST systemd-tmpfiles-248.3-musl.tar.xz 22904 BLAKE2B a277ce86577644cecbca5dbfde34aec494e3e14075ab4f7fcbb02f9307d714a93ca63f38e346a1e98391ca9c55860c7e90789cd5edb9b196cf638d54bfe1153b SHA512 d3db6a90bed6b6c1a9f6bce138137554742d1bc60da142fbadbd49b64677a562e47d8140b9c413857106e053d740476744b7f7e05af9dd4a1329058c78cef940

diff --git a/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch b/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch
new file mode 100644
index 00000000000..6d9e0039b9c
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch
@@ -0,0 +1,67 @@
+Silence annoying #warning's on musl
+
+https://github.com/systemd/systemd/pull/20362
+https://github.com/systemd/systemd/pull/20364
+
+From f8d54f7810aeea5ff27a5db03e1aab7ea54c8268 Mon Sep 17 00:00:00 2001
+From: David Seifert <soap@gentoo.org>
+Date: Mon, 2 Aug 2021 12:41:38 +0200
+Subject: [PATCH] Use correct `<fcntl.h>` include
+
+* `<sys/fcntl.h>` is not specified in POSIX
+---
+ src/basic/fileio.h | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/basic/fileio.h b/src/basic/fileio.h
+index af797cfafdbf..4295b84a85c5 100644
+--- a/src/basic/fileio.h
++++ b/src/basic/fileio.h
+@@ -2,11 +2,11 @@
+ #pragma once
+ 
+ #include <dirent.h>
++#include <fcntl.h>
+ #include <stdbool.h>
+ #include <stddef.h>
+ #include <stdio.h>
+ #include <sys/stat.h>
+-#include <sys/fcntl.h>
+ #include <sys/types.h>
+ 
+ #include "macro.h"
+From 2b6c0bb2a341c95223ce672249e43c743b03d78c Mon Sep 17 00:00:00 2001
+From: David Seifert <soap@gentoo.org>
+Date: Mon, 2 Aug 2021 16:09:10 +0200
+Subject: [PATCH] Use correct `<poll.h>` include
+
+* `<sys/poll.h>` is not specified in POSIX
+---
+ src/shared/nscd-flush.c | 2 +-
+ src/shared/varlink.c    | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/shared/nscd-flush.c b/src/shared/nscd-flush.c
+index dfc47c423441..19e16d93455c 100644
+--- a/src/shared/nscd-flush.c
++++ b/src/shared/nscd-flush.c
+@@ -1,5 +1,5 @@
+ /* SPDX-License-Identifier: LGPL-2.1-or-later */
+-#include <sys/poll.h>
++#include <poll.h>
+ 
+ #include "fd-util.h"
+ #include "io-util.h"
+diff --git a/src/shared/varlink.c b/src/shared/varlink.c
+index 3a53c16a7242..4033947d3b8c 100644
+--- a/src/shared/varlink.c
++++ b/src/shared/varlink.c
+@@ -1,7 +1,7 @@
+ /* SPDX-License-Identifier: LGPL-2.1-or-later */
+ 
+ #include <malloc.h>
+-#include <sys/poll.h>
++#include <poll.h>
+ 
+ #include "alloc-util.h"
+ #include "errno-util.h"

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
new file mode 100644
index 00000000000..91a7588bfa4
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
@@ -0,0 +1,250 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *.* ]]; then
+	MY_PN=systemd-stable
+else
+	 MY_PN=systemd
+fi
+
+MINKV="3.11"
+MUSL_PATCHSET="${PV%.*}.1-r0"
+PYTHON_COMPAT=( python3_{8..10} )
+inherit flag-o-matic meson python-any-r1
+
+DESCRIPTION="Creates, deletes and cleans up volatile and temporary files and directories"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
+SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${PV}.tar.gz -> ${MY_PN}-${PV}.tar.gz
+	elibc_musl? (
+		https://dev.gentoo.org/~gyakovlev/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
+		https://dev.gentoo.org/~soap/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
+	)"
+
+LICENSE="BSD-2 GPL-2 LGPL-2.1 MIT public-domain"
+SLOT="0"
+#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="selinux test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	sys-apps/acl:0=
+	>=sys-apps/util-linux-2.30:0=
+	sys-libs/libcap:0=
+	selinux? ( sys-libs/libselinux:0= )
+	!sys-apps/opentmpfiles
+	!sys-apps/systemd
+"
+
+DEPEND="
+	${RDEPEND}
+	>=sys-kernel/linux-headers-${MINKV}
+"
+
+BDEPEND="
+	${PYTHON_DEPS}
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xml-dtd:4.5
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt:0
+	dev-util/gperf
+	>=dev-util/meson-0.46
+	>=sys-apps/coreutils-8.16
+	sys-devel/gettext
+	sys-devel/m4
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+PATCHES=(
+	# backport from 250 to silence musl warnings
+	"${FILESDIR}/249-sys-include-posix.patch"
+)
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	# musl patchset from:
+	# http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd
+	# check SRC_URI_MUSL in systemd_${PV}.bb file for exact list of musl patches
+	# we share patch tarball with sys-fs/udev
+	if use elibc_musl; then
+		einfo "applying musl patches and workarounds"
+		eapply "${WORKDIR}/musl-patches"
+
+		# avoids re-definition of struct ethhdr, also 0006-Include-netinet-if_ether.h.patch
+		append-cppflags '-D__UAPI_DEF_ETHHDR=0'
+
+		# src/basic/rlimit-util.c:46:19: error: format ‘%lu’ expects argument of type ‘long unsigned int’,
+		# but argument 9 has type ‘rlim_t’ {aka ‘long long unsigned int’}
+		# not a nice workaround, but it comes from debug messages and we don't really use this component.
+		append-cflags '-Wno-error=format'
+	fi
+
+	default
+
+	# https://bugs.gentoo.org/767403
+	python_fix_shebang src/test/*.py
+	python_fix_shebang test/*.py
+	python_fix_shebang tools/*.py
+}
+
+src_configure() {
+	# disable everything until configure says "enabled features: ACL, tmpfiles, standalone-binaries, static-libsystemd(true)"
+	# and optionally selinux feature can be enabled to make tmpfiles secontext-aware
+	local systemd_disable_options=(
+		adm-group
+		analyze
+		apparmor
+		audit
+		backlight
+		binfmt
+		blkid
+		bzip2
+		coredump
+		dbus
+		efi
+		elfutils
+		environment-d
+		fdisk
+		gcrypt
+		glib
+		gshadow
+		gnutls
+		hibernate
+		hostnamed
+		hwdb
+		idn
+		ima
+		initrd
+		firstboot
+		kernel-install
+		kmod
+		ldconfig
+		libcryptsetup
+		libcurl
+		libfido2
+		libidn
+		libidn2
+		libiptc
+		link-networkd-shared
+		link-systemctl-shared
+		link-timesyncd-shared
+		link-udev-shared
+		localed
+		logind
+		lz4
+		machined
+		microhttpd
+		networkd
+		nscd
+		nss-myhostname
+		nss-resolve
+		nss-systemd
+		oomd
+		openssl
+		p11kit
+		pam
+		pcre2
+		polkit
+		portabled
+		pstore
+		pwquality
+		randomseed
+		resolve
+		rfkill
+		seccomp
+		smack
+		sysext
+		sysusers
+		timedated
+		timesyncd
+		tpm
+		qrencode
+		quotacheck
+		userdb
+		utmp
+		vconsole
+		wheel-group
+		xdg-autostart
+		xkbcommon
+		xz
+		zlib
+		zstd
+	)
+
+	# prepend -D and append =false, e.g. zstd becomes -Dzstd=false
+	systemd_disable_options=( ${systemd_disable_options[@]/#/-D} )
+	systemd_disable_options=( ${systemd_disable_options[@]/%/=false} )
+
+	local emesonargs=(
+		-Dacl=true
+		-Dtmpfiles=true
+		-Dstandalone-binaries=true # this and below option does the magic
+		-Dstatic-libsystemd=true
+		-Dsysvinit-path=''
+		${systemd_disable_options[@]}
+		$(meson_use selinux)
+	)
+	meson_src_configure
+}
+
+src_compile() {
+	# tmpfiles and sysusers can be built as standalone and link systemd-shared in statically.
+	# https://github.com/systemd/systemd/pull/16061 original implementation
+	# we just need to pass -Dstandalone-binaries=true and
+	# use <name>.standalone target below.
+	# check meson.build for if have_standalone_binaries condition per target.
+	local mytargets=(
+		systemd-tmpfiles.standalone
+		man/tmpfiles.d.5
+		man/systemd-tmpfiles.8
+	)
+	meson_src_compile "${mytargets[@]}"
+}
+
+src_install() {
+	# lean and mean installation, single binary and man-pages
+	pushd "${BUILD_DIR}" > /dev/null || die
+	into /
+	newbin systemd-tmpfiles.standalone systemd-tmpfiles
+
+	doman man/{systemd-tmpfiles.8,tmpfiles.d.5}
+
+	popd > /dev/null || die
+
+	# service files adapter from opentmpfiles
+	newinitd "${FILESDIR}"/stmpfiles-dev.initd stmpfiles-dev
+	newinitd "${FILESDIR}"/stmpfiles-setup.initd stmpfiles-setup
+
+	# same content, but install as different file
+	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-dev
+	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-setup
+}
+
+src_test() {
+	# 'meson test' will compile full systemd, but we can still outsmart it
+	"${EPYTHON}" test/test-systemd-tmpfiles.py \
+		"${BUILD_DIR}"/systemd-tmpfiles.standalone || die "${FUNCNAME} failed"
+}
+
+# stolen from opentmpfiles ebuild
+add_service() {
+	local initd=$1
+	local runlevel=$2
+
+	elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
+	mkdir -p "${EROOT}/etc/runlevels/${runlevel}"
+	ln -snf "${EPREFIX}/etc/init.d/${initd}" "${EROOT}/etc/runlevels/${runlevel}/${initd}"
+}
+
+pkg_postinst() {
+	if [[ -z $REPLACING_VERSIONS ]]; then
+		add_service stmpfiles-dev sysinit
+		add_service stmpfiles-setup boot
+	fi
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2021-11-03 23:57 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2021-11-03 23:57 UTC (permalink / raw
  To: gentoo-commits

commit:     3fc4b39346b5346d6368a729a02ba7b1b9bf3ccb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  3 23:53:45 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov  3 23:57:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fc4b393

sys-apps/systemd-tmpfiles: fix build with meson-0.60

Closes: https://bugs.gentoo.org/821547
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/systemd-tmpfiles-249.2-meson-0.60.patch  | 26 ++++++++++++++++++++++
 .../systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild |  1 +
 2 files changed, 27 insertions(+)

diff --git a/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch b/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch
new file mode 100644
index 00000000000..b931912be23
--- /dev/null
+++ b/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch
@@ -0,0 +1,26 @@
+https://github.com/systemd/systemd/commit/c29537f39e4f413a6cbfe9669fa121bdd6d8b36f
+https://bugs.gentoo.org/821547
+
+From: Dan Streetman <ddstreet@canonical.com>
+Date: Fri, 3 Sep 2021 12:43:33 -0400
+Subject: [PATCH] meson.build: change operator combining bools from + to and
+
+upstream meson stopped allowing combining boolean with the plus
+operator, and now requires using the logical and operator
+
+reference:
+https://github.com/mesonbuild/meson/commit/43302d3296baff6aeaf8e03f5d701b0402e37a6c
+
+Fixes: #20632
+--- a/meson.build
++++ b/meson.build
+@@ -35,7 +35,7 @@ conf.set10('BUILD_MODE_DEVELOPER', get_option('mode') == 'developer',
+ 
+ want_ossfuzz = get_option('oss-fuzz')
+ want_libfuzzer = get_option('llvm-fuzz')
+-if want_ossfuzz + want_libfuzzer > 1
++if want_ossfuzz and want_libfuzzer
+         error('only one of oss-fuzz or llvm-fuzz can be specified')
+ endif
+ 
+

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
index a651892d8e0..ad80dc82cf8 100644
--- a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
+++ b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
@@ -62,6 +62,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
 PATCHES=(
 	# backport from 250 to silence musl warnings
 	"${FILESDIR}/249-sys-include-posix.patch"
+	"${FILESDIR}/${P}-meson-0.60.patch"
 )
 
 python_check_deps() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2021-12-24  9:05 Georgy Yakovlev
  0 siblings, 0 replies; 6+ messages in thread
From: Georgy Yakovlev @ 2021-12-24  9:05 UTC (permalink / raw
  To: gentoo-commits

commit:     24543d0cf460e3cf58a55ae4da5228dffb39cb4d
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 24 06:13:54 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Dec 24 09:04:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24543d0c

sys-apps/systemd-tmpfiles: drop 249.2

Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-apps/systemd-tmpfiles/Manifest                 |   2 -
 .../files/249-sys-include-posix.patch              |  67 ------
 .../files/systemd-tmpfiles-249.2-meson-0.60.patch  |  26 --
 .../systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild | 263 ---------------------
 4 files changed, 358 deletions(-)

diff --git a/sys-apps/systemd-tmpfiles/Manifest b/sys-apps/systemd-tmpfiles/Manifest
index 766449cac780..56ae06fe69b3 100644
--- a/sys-apps/systemd-tmpfiles/Manifest
+++ b/sys-apps/systemd-tmpfiles/Manifest
@@ -1,4 +1,2 @@
-DIST systemd-musl-patches-249.1-r1.tar.xz 24536 BLAKE2B 25135519112b2a1c638046addb6971ea1997fc7dd8626de90d162a4beb6383b5724df78a14c73be1283df58632fb4a0fcb32f90f50f1886f31a1aded15e9567c SHA512 4655f2a06e1b3310cb27b839360353dfbfdbdaa86f4392aeebf63f63efd441d1953f7ac108be7fed7ea721596d191988ed999e34443e47922afca92db779175a
 DIST systemd-musl-patches-249.5-r1.tar.xz 25148 BLAKE2B 6717291b5335997dcc327764beffc4ded50a5ac0e777bb3c540b5e355bee419c3d9b4a5605c239392d4c1b0e70792bc87282fa15dc9c09a0465b5608f2909006 SHA512 4bb7566437c280e75402fc435a3437aedad127f7b94c9bd54b94e9e1e7507409ad0898681f23e813b9b47414f58e4ca413b6d4e520bbbf578faec09054bf7f9b
-DIST systemd-stable-249.2.tar.gz 10591728 BLAKE2B fb24c681cf2328aa26fa49a8ba20cccd1ee0fae82ec9f9931a69eaa377fc01b2ece12fdf407444514d494b8ac1418f155b0fceeff4925bebaba691f0b8a2acc8 SHA512 4f42a0b93156529a464545361436fa98193e12a7e0809315b9fdedbcf33b81dd2037acac27fb0dfefcb2679bc49ebb6da4d152ecb4b15db797c81f7ca4588a11
 DIST systemd-stable-249.5.tar.gz 10597897 BLAKE2B 5c573322ef9bcd9d019776d6e2d8625a741c1535c0d06661b5666c2438a70cfc4dc182919bb419829de27a4d93c16717ce24e668faf9bd6b09e57f8bd88be725 SHA512 d6f1a5a6f03f0ed05b111aee75da509c5868c523af6209f33e630724dd0c7e0d0abf16920795d587e6c31a5915d247ebc613cf26d4aecf39f82ebb0690fab75f

diff --git a/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch b/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch
deleted file mode 100644
index 6d9e0039b9c9..000000000000
--- a/sys-apps/systemd-tmpfiles/files/249-sys-include-posix.patch
+++ /dev/null
@@ -1,67 +0,0 @@
-Silence annoying #warning's on musl
-
-https://github.com/systemd/systemd/pull/20362
-https://github.com/systemd/systemd/pull/20364
-
-From f8d54f7810aeea5ff27a5db03e1aab7ea54c8268 Mon Sep 17 00:00:00 2001
-From: David Seifert <soap@gentoo.org>
-Date: Mon, 2 Aug 2021 12:41:38 +0200
-Subject: [PATCH] Use correct `<fcntl.h>` include
-
-* `<sys/fcntl.h>` is not specified in POSIX
----
- src/basic/fileio.h | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/basic/fileio.h b/src/basic/fileio.h
-index af797cfafdbf..4295b84a85c5 100644
---- a/src/basic/fileio.h
-+++ b/src/basic/fileio.h
-@@ -2,11 +2,11 @@
- #pragma once
- 
- #include <dirent.h>
-+#include <fcntl.h>
- #include <stdbool.h>
- #include <stddef.h>
- #include <stdio.h>
- #include <sys/stat.h>
--#include <sys/fcntl.h>
- #include <sys/types.h>
- 
- #include "macro.h"
-From 2b6c0bb2a341c95223ce672249e43c743b03d78c Mon Sep 17 00:00:00 2001
-From: David Seifert <soap@gentoo.org>
-Date: Mon, 2 Aug 2021 16:09:10 +0200
-Subject: [PATCH] Use correct `<poll.h>` include
-
-* `<sys/poll.h>` is not specified in POSIX
----
- src/shared/nscd-flush.c | 2 +-
- src/shared/varlink.c    | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/src/shared/nscd-flush.c b/src/shared/nscd-flush.c
-index dfc47c423441..19e16d93455c 100644
---- a/src/shared/nscd-flush.c
-+++ b/src/shared/nscd-flush.c
-@@ -1,5 +1,5 @@
- /* SPDX-License-Identifier: LGPL-2.1-or-later */
--#include <sys/poll.h>
-+#include <poll.h>
- 
- #include "fd-util.h"
- #include "io-util.h"
-diff --git a/src/shared/varlink.c b/src/shared/varlink.c
-index 3a53c16a7242..4033947d3b8c 100644
---- a/src/shared/varlink.c
-+++ b/src/shared/varlink.c
-@@ -1,7 +1,7 @@
- /* SPDX-License-Identifier: LGPL-2.1-or-later */
- 
- #include <malloc.h>
--#include <sys/poll.h>
-+#include <poll.h>
- 
- #include "alloc-util.h"
- #include "errno-util.h"

diff --git a/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch b/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch
deleted file mode 100644
index b931912be23e..000000000000
--- a/sys-apps/systemd-tmpfiles/files/systemd-tmpfiles-249.2-meson-0.60.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-https://github.com/systemd/systemd/commit/c29537f39e4f413a6cbfe9669fa121bdd6d8b36f
-https://bugs.gentoo.org/821547
-
-From: Dan Streetman <ddstreet@canonical.com>
-Date: Fri, 3 Sep 2021 12:43:33 -0400
-Subject: [PATCH] meson.build: change operator combining bools from + to and
-
-upstream meson stopped allowing combining boolean with the plus
-operator, and now requires using the logical and operator
-
-reference:
-https://github.com/mesonbuild/meson/commit/43302d3296baff6aeaf8e03f5d701b0402e37a6c
-
-Fixes: #20632
---- a/meson.build
-+++ b/meson.build
-@@ -35,7 +35,7 @@ conf.set10('BUILD_MODE_DEVELOPER', get_option('mode') == 'developer',
- 
- want_ossfuzz = get_option('oss-fuzz')
- want_libfuzzer = get_option('llvm-fuzz')
--if want_ossfuzz + want_libfuzzer > 1
-+if want_ossfuzz and want_libfuzzer
-         error('only one of oss-fuzz or llvm-fuzz can be specified')
- endif
- 
-

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
deleted file mode 100644
index ad80dc82cf86..000000000000
--- a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.2.ebuild
+++ /dev/null
@@ -1,263 +0,0 @@
-# Copyright 2020-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} == *.* ]]; then
-	MY_PN=systemd-stable
-else
-	 MY_PN=systemd
-fi
-
-MINKV="3.11"
-MUSL_PATCHSET="${PV%.*}.1-r1"
-PYTHON_COMPAT=( python3_{8..10} )
-inherit flag-o-matic meson python-any-r1
-
-DESCRIPTION="Creates, deletes and cleans up volatile and temporary files and directories"
-HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
-SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${PV}.tar.gz -> ${MY_PN}-${PV}.tar.gz
-	elibc_musl? (
-		https://dev.gentoo.org/~gyakovlev/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-		https://dev.gentoo.org/~soap/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-	)"
-
-LICENSE="BSD-2 GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="selinux test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	sys-apps/acl:0=
-	>=sys-apps/util-linux-2.30:0=
-	sys-libs/libcap:0=
-	selinux? ( sys-libs/libselinux:0= )
-	virtual/libcrypt:=
-	!sys-apps/opentmpfiles
-	!sys-apps/systemd
-"
-
-DEPEND="
-	${RDEPEND}
-	>=sys-kernel/linux-headers-${MINKV}
-"
-
-BDEPEND="
-	${PYTHON_DEPS}
-	$(python_gen_any_dep 'dev-python/jinja[${PYTHON_USEDEP}]')
-	app-text/docbook-xml-dtd:4.2
-	app-text/docbook-xml-dtd:4.5
-	app-text/docbook-xsl-stylesheets
-	dev-libs/libxslt
-	dev-util/gperf
-	>=dev-util/meson-0.46
-	>=sys-apps/coreutils-8.16
-	sys-devel/gettext
-	virtual/pkgconfig
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-PATCHES=(
-	# backport from 250 to silence musl warnings
-	"${FILESDIR}/249-sys-include-posix.patch"
-	"${FILESDIR}/${P}-meson-0.60.patch"
-)
-
-python_check_deps() {
-	has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
-}
-
-pkg_pretend() {
-	if [[ -n ${EPREFIX} ]]; then
-		ewarn "systemd-tmpfiles uses un-prefixed paths at runtime.".
-	fi
-}
-
-pkg_setup() {
-	python-any-r1_pkg_setup
-}
-
-src_prepare() {
-	# musl patchset from:
-	# http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd
-	# check SRC_URI_MUSL in systemd_${PV}.bb file for exact list of musl patches
-	# we share patch tarball with sys-fs/udev
-	if use elibc_musl; then
-		einfo "applying musl patches and workarounds"
-		eapply "${WORKDIR}/musl-patches"
-
-		# avoids re-definition of struct ethhdr, also 0006-Include-netinet-if_ether.h.patch
-		append-cppflags '-D__UAPI_DEF_ETHHDR=0'
-
-		# src/basic/rlimit-util.c:46:19: error: format ‘%lu’ expects argument of type ‘long unsigned int’,
-		# but argument 9 has type ‘rlim_t’ {aka ‘long long unsigned int’}
-		# not a nice workaround, but it comes from debug messages and we don't really use this component.
-		append-cflags '-Wno-error=format'
-	fi
-
-	default
-
-	# https://bugs.gentoo.org/767403
-	python_fix_shebang src/test/*.py
-	python_fix_shebang test/*.py
-	python_fix_shebang tools/*.py
-}
-
-src_configure() {
-	# disable everything until configure says "enabled features: ACL, tmpfiles, standalone-binaries, static-libsystemd(true)"
-	# and optionally selinux feature can be enabled to make tmpfiles secontext-aware
-	local systemd_disable_options=(
-		adm-group
-		analyze
-		apparmor
-		audit
-		backlight
-		binfmt
-		blkid
-		bzip2
-		coredump
-		dbus
-		efi
-		elfutils
-		environment-d
-		fdisk
-		gcrypt
-		glib
-		gshadow
-		gnutls
-		hibernate
-		hostnamed
-		hwdb
-		idn
-		ima
-		initrd
-		firstboot
-		kernel-install
-		kmod
-		ldconfig
-		libcryptsetup
-		libcurl
-		libfido2
-		libidn
-		libidn2
-		libiptc
-		link-networkd-shared
-		link-systemctl-shared
-		link-timesyncd-shared
-		link-udev-shared
-		localed
-		logind
-		lz4
-		machined
-		microhttpd
-		networkd
-		nscd
-		nss-myhostname
-		nss-resolve
-		nss-systemd
-		oomd
-		openssl
-		p11kit
-		pam
-		pcre2
-		polkit
-		portabled
-		pstore
-		pwquality
-		randomseed
-		resolve
-		rfkill
-		seccomp
-		smack
-		sysext
-		sysusers
-		timedated
-		timesyncd
-		tpm
-		qrencode
-		quotacheck
-		userdb
-		utmp
-		vconsole
-		wheel-group
-		xdg-autostart
-		xkbcommon
-		xz
-		zlib
-		zstd
-	)
-
-	# prepend -D and append =false, e.g. zstd becomes -Dzstd=false
-	systemd_disable_options=( ${systemd_disable_options[@]/#/-D} )
-	systemd_disable_options=( ${systemd_disable_options[@]/%/=false} )
-
-	local emesonargs=(
-		-Drootprefix="${EPREFIX:-/}"
-		-Dacl=true
-		-Dtmpfiles=true
-		-Dstandalone-binaries=true # this and below option does the magic
-		-Dstatic-libsystemd=true
-		-Dsysvinit-path=''
-		${systemd_disable_options[@]}
-		$(meson_use selinux)
-	)
-	meson_src_configure
-}
-
-src_compile() {
-	# tmpfiles and sysusers can be built as standalone and link systemd-shared in statically.
-	# https://github.com/systemd/systemd/pull/16061 original implementation
-	# we just need to pass -Dstandalone-binaries=true and
-	# use <name>.standalone target below.
-	# check meson.build for if have_standalone_binaries condition per target.
-	local mytargets=(
-		systemd-tmpfiles.standalone
-		man/tmpfiles.d.5
-		man/systemd-tmpfiles.8
-	)
-	meson_src_compile "${mytargets[@]}"
-}
-
-src_install() {
-	# lean and mean installation, single binary and man-pages
-	pushd "${BUILD_DIR}" > /dev/null || die
-	into /
-	newbin systemd-tmpfiles.standalone systemd-tmpfiles
-
-	doman man/{systemd-tmpfiles.8,tmpfiles.d.5}
-
-	popd > /dev/null || die
-
-	# service files adapter from opentmpfiles
-	newinitd "${FILESDIR}"/stmpfiles-dev.initd stmpfiles-dev
-	newinitd "${FILESDIR}"/stmpfiles-setup.initd stmpfiles-setup
-
-	# same content, but install as different file
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-dev
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-setup
-}
-
-src_test() {
-	# 'meson test' will compile full systemd, but we can still outsmart it
-	"${EPYTHON}" test/test-systemd-tmpfiles.py \
-		"${BUILD_DIR}"/systemd-tmpfiles.standalone || die "${FUNCNAME} failed"
-}
-
-# stolen from opentmpfiles ebuild
-add_service() {
-	local initd=$1
-	local runlevel=$2
-
-	elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
-	mkdir -p "${EROOT}/etc/runlevels/${runlevel}"
-	ln -snf "${EPREFIX}/etc/init.d/${initd}" "${EROOT}/etc/runlevels/${runlevel}/${initd}"
-}
-
-pkg_postinst() {
-	if [[ -z $REPLACING_VERSIONS ]]; then
-		add_service stmpfiles-dev sysinit
-		add_service stmpfiles-setup boot
-	fi
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/
@ 2022-10-28  7:41 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2022-10-28  7:41 UTC (permalink / raw
  To: gentoo-commits

commit:     b5d0ee58749f9ce994ca658f1ef74f86007eb538
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 07:40:41 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 07:41:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5d0ee58

sys-apps/systemd-tmpfiles: drop 249.7, 249.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/systemd-tmpfiles/Manifest                 |   4 -
 .../files/249.9-cross-compile.patch                |  23 --
 .../systemd-tmpfiles/files/stmpfiles-dev.initd     |  20 --
 .../systemd-tmpfiles/files/stmpfiles-setup.initd   |  19 --
 sys-apps/systemd-tmpfiles/files/stmpfiles.confd    |   2 -
 .../systemd-tmpfiles/systemd-tmpfiles-249.7.ebuild | 260 ---------------------
 .../systemd-tmpfiles/systemd-tmpfiles-249.9.ebuild | 260 ---------------------
 7 files changed, 588 deletions(-)

diff --git a/sys-apps/systemd-tmpfiles/Manifest b/sys-apps/systemd-tmpfiles/Manifest
deleted file mode 100644
index f06572e8f2be..000000000000
--- a/sys-apps/systemd-tmpfiles/Manifest
+++ /dev/null
@@ -1,4 +0,0 @@
-DIST systemd-249.7-CVE-2021-3997.tar.gz 8431 BLAKE2B 167ae8bfb3b653fa4a7a62eee164f2a7edf2f0fb312db8ed955634030c95dfdbd747821b4652620cd34a7af38fe0b77e48ed61096b5d076c3eb2f56371e191c8 SHA512 b17a60a0862743faee0153218792a77b5d06a44876e0c53c264e98d62786442c165f47136d7bc2857edcedc24e667c220a2e7d065e77f9a957804131acb26598
-DIST systemd-musl-patches-249.5-r1.tar.xz 25148 BLAKE2B 6717291b5335997dcc327764beffc4ded50a5ac0e777bb3c540b5e355bee419c3d9b4a5605c239392d4c1b0e70792bc87282fa15dc9c09a0465b5608f2909006 SHA512 4bb7566437c280e75402fc435a3437aedad127f7b94c9bd54b94e9e1e7507409ad0898681f23e813b9b47414f58e4ca413b6d4e520bbbf578faec09054bf7f9b
-DIST systemd-stable-249.7.tar.gz 10608252 BLAKE2B a5597c4973b24c962779622cae47dbf8351af49f8cd898d9c16a967c6f3600c6feb293e9b03eab0423b860eef5b04b287185fb9827cb323429d0ab9fc6d809b2 SHA512 4daf8570621fdcda5c94d982908c64eddfeef989005f4fd79a10f199dbc6f366354177bb59dff34bcb14764fb4423a870ffabac1163849ec53592e29760105fc
-DIST systemd-stable-249.9.tar.gz 10613893 BLAKE2B fc7a14fa3b0cc3d05fa9f20fde2efedd3ef0f011d9dce53b0a418994b4257cf753b228cf98f749fb2028d81db55ef30a6e3d9b138d86239cad4fc730d845f9e2 SHA512 ce57bc6c522082e55649fc1886c4dc818c89607e175df2c92feffe288dbd38757f36b30abeebe153f5be6b664a49d729405040a952473cb2133a2e39cf9cc164

diff --git a/sys-apps/systemd-tmpfiles/files/249.9-cross-compile.patch b/sys-apps/systemd-tmpfiles/files/249.9-cross-compile.patch
deleted file mode 100644
index e063d303c7d8..000000000000
--- a/sys-apps/systemd-tmpfiles/files/249.9-cross-compile.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-From 3d7fd38ea938ab194366f40ed7aa413ad33f2fad Mon Sep 17 00:00:00 2001
-From: Yu Watanabe <watanabe.yu+github@gmail.com>
-Date: Tue, 21 Dec 2021 20:10:09 +0900
-Subject: [PATCH] meson: fix cross compiling
-
-(cherry picked from commit 3112d756a36993900b70fbff98e69a2a43b970a8)
----
- meson.build | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/meson.build b/meson.build
-index 02495d16c9..c76cab535d 100644
---- a/meson.build
-+++ b/meson.build
-@@ -442,7 +442,7 @@ conf.set('SIZEOF_DEV_T', cc.sizeof('dev_t', prefix : '#include <sys/types.h>'))
- conf.set('SIZEOF_INO_T', cc.sizeof('ino_t', prefix : '#include <sys/types.h>'))
- conf.set('SIZEOF_TIME_T', cc.sizeof('time_t', prefix : '#include <sys/time.h>'))
- conf.set('SIZEOF_RLIM_T', cc.sizeof('rlim_t', prefix : '#include <sys/resource.h>'))
--conf.set('SIZEOF_TIMEX_MEMBER', cc.sizeof('((struct timex *)0)->freq', prefix : '#include <sys/timex.h>'))
-+conf.set('SIZEOF_TIMEX_MEMBER', cc.sizeof('typeof(((struct timex *)0)->freq)', prefix : '#include <sys/timex.h>'))
- 
- decl_headers = '''
- #include <uchar.h>

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd b/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd
deleted file mode 100644
index 0952ef12cc2c..000000000000
--- a/sys-apps/systemd-tmpfiles/files/stmpfiles-dev.initd
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2020 Gentoo Authors
-# Released under the 2-clause BSD license.
-
-description="Set up tmpfiles.d entries for /dev"
-
-depend()
-{
-	provide stmpfiles-dev stmpfiles.dev tmpfiles-dev tmpfiles.dev
-	use dev-mount
-	before dev
-	keyword -prefix -vserver
-}
-
-start()
-{
-	ebegin "Setting up tmpfiles.d entries for /dev"
-	/bin/systemd-tmpfiles --prefix=/dev --create --boot ${stmpfiles_opts}
-	eend $?
-}

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd b/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd
deleted file mode 100644
index a55163d3fd65..000000000000
--- a/sys-apps/systemd-tmpfiles/files/stmpfiles-setup.initd
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2020 Gentoo Authors
-# Released under the 2-clause BSD license.
-
-description="Set up tmpfiles.d entries"
-
-depend()
-{
-	provide stmpfiles-setup stmpfiles.setup tmpfiles-setup tmpfiles.setup
-	need localmount
-}
-
-start()
-{
-	ebegin "Setting up tmpfiles.d entries"
-	/bin/systemd-tmpfiles --exclude-prefix=/dev --create --remove --boot \
-		${stmpfiles_opts}
-	eend $?
-}

diff --git a/sys-apps/systemd-tmpfiles/files/stmpfiles.confd b/sys-apps/systemd-tmpfiles/files/stmpfiles.confd
deleted file mode 100644
index 2ec4b5f0d8b8..000000000000
--- a/sys-apps/systemd-tmpfiles/files/stmpfiles.confd
+++ /dev/null
@@ -1,2 +0,0 @@
-# Extra options to pass to stmpfiles
-#stmpfiles_opts=""

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.7.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.7.ebuild
deleted file mode 100644
index f9142ca4addc..000000000000
--- a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.7.ebuild
+++ /dev/null
@@ -1,260 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} == *.* ]]; then
-	MY_PN=systemd-stable
-else
-	 MY_PN=systemd
-fi
-
-MINKV="3.11"
-MUSL_PATCHSET="249.5-r1"
-PYTHON_COMPAT=( python3_{8..10} )
-inherit flag-o-matic meson python-any-r1
-
-DESCRIPTION="Creates, deletes and cleans up volatile and temporary files and directories"
-HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
-SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${PV}.tar.gz -> ${MY_PN}-${PV}.tar.gz
-	https://dev.gentoo.org/~floppym/dist/systemd-249.7-CVE-2021-3997.tar.gz
-	elibc_musl? (
-		https://dev.gentoo.org/~gyakovlev/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-		https://dev.gentoo.org/~soap/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-	)"
-
-LICENSE="BSD-2 GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="selinux test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	sys-apps/acl:0=
-	>=sys-apps/util-linux-2.30:0=
-	sys-libs/libcap:0=
-	selinux? ( sys-libs/libselinux:0= )
-	virtual/libcrypt:=
-	!sys-apps/opentmpfiles
-	!sys-apps/systemd
-"
-
-DEPEND="
-	${RDEPEND}
-	>=sys-kernel/linux-headers-${MINKV}
-"
-
-BDEPEND="
-	${PYTHON_DEPS}
-	$(python_gen_any_dep 'dev-python/jinja[${PYTHON_USEDEP}]')
-	app-text/docbook-xml-dtd:4.2
-	app-text/docbook-xml-dtd:4.5
-	app-text/docbook-xsl-stylesheets
-	dev-libs/libxslt
-	dev-util/gperf
-	>=dev-util/meson-0.46
-	>=sys-apps/coreutils-8.16
-	sys-devel/gettext
-	virtual/pkgconfig
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-python_check_deps() {
-	has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
-}
-
-pkg_pretend() {
-	if [[ -n ${EPREFIX} ]]; then
-		ewarn "systemd-tmpfiles uses un-prefixed paths at runtime.".
-	fi
-}
-
-pkg_setup() {
-	python-any-r1_pkg_setup
-}
-
-src_prepare() {
-	eapply "${WORKDIR}/systemd-249.7-CVE-2021-3997"
-
-	# musl patchset from:
-	# http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd
-	# check SRC_URI_MUSL in systemd_${PV}.bb file for exact list of musl patches
-	# we share patch tarball with sys-fs/udev
-	if use elibc_musl; then
-		einfo "applying musl patches and workarounds"
-		eapply "${WORKDIR}/musl-patches"
-
-		# avoids re-definition of struct ethhdr, also 0006-Include-netinet-if_ether.h.patch
-		append-cppflags '-D__UAPI_DEF_ETHHDR=0'
-
-		# src/basic/rlimit-util.c:46:19: error: format ‘%lu’ expects argument of type ‘long unsigned int’,
-		# but argument 9 has type ‘rlim_t’ {aka ‘long long unsigned int’}
-		# not a nice workaround, but it comes from debug messages and we don't really use this component.
-		append-cflags '-Wno-error=format'
-	fi
-
-	default
-
-	# https://bugs.gentoo.org/767403
-	python_fix_shebang src/test/*.py
-	python_fix_shebang test/*.py
-	python_fix_shebang tools/*.py
-}
-
-src_configure() {
-	# disable everything until configure says "enabled features: ACL, tmpfiles, standalone-binaries, static-libsystemd(true)"
-	# and optionally selinux feature can be enabled to make tmpfiles secontext-aware
-	local systemd_disable_options=(
-		adm-group
-		analyze
-		apparmor
-		audit
-		backlight
-		binfmt
-		blkid
-		bzip2
-		coredump
-		dbus
-		efi
-		elfutils
-		environment-d
-		fdisk
-		gcrypt
-		glib
-		gshadow
-		gnutls
-		hibernate
-		hostnamed
-		hwdb
-		idn
-		ima
-		initrd
-		firstboot
-		kernel-install
-		kmod
-		ldconfig
-		libcryptsetup
-		libcurl
-		libfido2
-		libidn
-		libidn2
-		libiptc
-		link-networkd-shared
-		link-systemctl-shared
-		link-timesyncd-shared
-		link-udev-shared
-		localed
-		logind
-		lz4
-		machined
-		microhttpd
-		networkd
-		nscd
-		nss-myhostname
-		nss-resolve
-		nss-systemd
-		oomd
-		openssl
-		p11kit
-		pam
-		pcre2
-		polkit
-		portabled
-		pstore
-		pwquality
-		randomseed
-		resolve
-		rfkill
-		seccomp
-		smack
-		sysext
-		sysusers
-		timedated
-		timesyncd
-		tpm
-		qrencode
-		quotacheck
-		userdb
-		utmp
-		vconsole
-		wheel-group
-		xdg-autostart
-		xkbcommon
-		xz
-		zlib
-		zstd
-	)
-
-	# prepend -D and append =false, e.g. zstd becomes -Dzstd=false
-	systemd_disable_options=( ${systemd_disable_options[@]/#/-D} )
-	systemd_disable_options=( ${systemd_disable_options[@]/%/=false} )
-
-	local emesonargs=(
-		-Drootprefix="${EPREFIX:-/}"
-		-Dacl=true
-		-Dtmpfiles=true
-		-Dstandalone-binaries=true # this and below option does the magic
-		-Dstatic-libsystemd=true
-		-Dsysvinit-path=''
-		${systemd_disable_options[@]}
-		$(meson_use selinux)
-	)
-	meson_src_configure
-}
-
-src_compile() {
-	# tmpfiles and sysusers can be built as standalone and link systemd-shared in statically.
-	# https://github.com/systemd/systemd/pull/16061 original implementation
-	# we just need to pass -Dstandalone-binaries=true and
-	# use <name>.standalone target below.
-	# check meson.build for if have_standalone_binaries condition per target.
-	local mytargets=(
-		systemd-tmpfiles.standalone
-		man/tmpfiles.d.5
-		man/systemd-tmpfiles.8
-	)
-	meson_src_compile "${mytargets[@]}"
-}
-
-src_install() {
-	# lean and mean installation, single binary and man-pages
-	pushd "${BUILD_DIR}" > /dev/null || die
-	into /
-	newbin systemd-tmpfiles.standalone systemd-tmpfiles
-
-	doman man/{systemd-tmpfiles.8,tmpfiles.d.5}
-
-	popd > /dev/null || die
-
-	# service files adapter from opentmpfiles
-	newinitd "${FILESDIR}"/stmpfiles-dev.initd stmpfiles-dev
-	newinitd "${FILESDIR}"/stmpfiles-setup.initd stmpfiles-setup
-
-	# same content, but install as different file
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-dev
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-setup
-}
-
-src_test() {
-	# 'meson test' will compile full systemd, but we can still outsmart it
-	"${EPYTHON}" test/test-systemd-tmpfiles.py \
-		"${BUILD_DIR}"/systemd-tmpfiles.standalone || die "${FUNCNAME} failed"
-}
-
-# stolen from opentmpfiles ebuild
-add_service() {
-	local initd=$1
-	local runlevel=$2
-
-	elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
-	mkdir -p "${EROOT}/etc/runlevels/${runlevel}"
-	ln -snf "${EPREFIX}/etc/init.d/${initd}" "${EROOT}/etc/runlevels/${runlevel}/${initd}"
-}
-
-pkg_postinst() {
-	if [[ -z $REPLACING_VERSIONS ]]; then
-		add_service stmpfiles-dev sysinit
-		add_service stmpfiles-setup boot
-	fi
-}

diff --git a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.9.ebuild b/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.9.ebuild
deleted file mode 100644
index f6a77f0f5c88..000000000000
--- a/sys-apps/systemd-tmpfiles/systemd-tmpfiles-249.9.ebuild
+++ /dev/null
@@ -1,260 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} == *.* ]]; then
-	MY_PN=systemd-stable
-else
-	 MY_PN=systemd
-fi
-
-MINKV="3.11"
-MUSL_PATCHSET="249.5-r1"
-PYTHON_COMPAT=( python3_{8..10} )
-inherit flag-o-matic meson python-any-r1
-
-DESCRIPTION="Creates, deletes and cleans up volatile and temporary files and directories"
-HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
-SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${PV}.tar.gz -> ${MY_PN}-${PV}.tar.gz
-	elibc_musl? (
-		https://dev.gentoo.org/~gyakovlev/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-		https://dev.gentoo.org/~soap/distfiles/systemd-musl-patches-${MUSL_PATCHSET}.tar.xz
-	)"
-
-LICENSE="BSD-2 GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="selinux test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	sys-apps/acl:0=
-	>=sys-apps/util-linux-2.30:0=
-	sys-libs/libcap:0=
-	selinux? ( sys-libs/libselinux:0= )
-	virtual/libcrypt:=
-	!sys-apps/opentmpfiles
-	!sys-apps/systemd
-"
-
-DEPEND="
-	${RDEPEND}
-	>=sys-kernel/linux-headers-${MINKV}
-"
-
-BDEPEND="
-	${PYTHON_DEPS}
-	$(python_gen_any_dep 'dev-python/jinja[${PYTHON_USEDEP}]')
-	app-text/docbook-xml-dtd:4.2
-	app-text/docbook-xml-dtd:4.5
-	app-text/docbook-xsl-stylesheets
-	dev-libs/libxslt
-	dev-util/gperf
-	>=dev-util/meson-0.46
-	>=sys-apps/coreutils-8.16
-	sys-devel/gettext
-	virtual/pkgconfig
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-python_check_deps() {
-	has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
-}
-
-pkg_pretend() {
-	if [[ -n ${EPREFIX} ]]; then
-		ewarn "systemd-tmpfiles uses un-prefixed paths at runtime.".
-	fi
-}
-
-pkg_setup() {
-	python-any-r1_pkg_setup
-}
-
-src_prepare() {
-	local PATCHES=(
-		"${FILESDIR}/249.9-cross-compile.patch"
-	)
-
-	# musl patchset from:
-	# http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-core/systemd/systemd
-	# check SRC_URI_MUSL in systemd_${PV}.bb file for exact list of musl patches
-	# we share patch tarball with sys-fs/udev
-	if use elibc_musl; then
-		PATCHES+=( "${WORKDIR}/musl-patches" )
-
-		# avoids re-definition of struct ethhdr, also 0006-Include-netinet-if_ether.h.patch
-		append-cppflags '-D__UAPI_DEF_ETHHDR=0'
-
-		# src/basic/rlimit-util.c:46:19: error: format ‘%lu’ expects argument of type ‘long unsigned int’,
-		# but argument 9 has type ‘rlim_t’ {aka ‘long long unsigned int’}
-		# not a nice workaround, but it comes from debug messages and we don't really use this component.
-		append-cflags '-Wno-error=format'
-	fi
-
-	default
-
-	# https://bugs.gentoo.org/767403
-	python_fix_shebang src/test/*.py
-	python_fix_shebang test/*.py
-	python_fix_shebang tools/*.py
-}
-
-src_configure() {
-	# disable everything until configure says "enabled features: ACL, tmpfiles, standalone-binaries, static-libsystemd(true)"
-	# and optionally selinux feature can be enabled to make tmpfiles secontext-aware
-	local systemd_disable_options=(
-		adm-group
-		analyze
-		apparmor
-		audit
-		backlight
-		binfmt
-		blkid
-		bzip2
-		coredump
-		dbus
-		efi
-		elfutils
-		environment-d
-		fdisk
-		gcrypt
-		glib
-		gshadow
-		gnutls
-		hibernate
-		hostnamed
-		hwdb
-		idn
-		ima
-		initrd
-		firstboot
-		kernel-install
-		kmod
-		ldconfig
-		libcryptsetup
-		libcurl
-		libfido2
-		libidn
-		libidn2
-		libiptc
-		link-networkd-shared
-		link-systemctl-shared
-		link-timesyncd-shared
-		link-udev-shared
-		localed
-		logind
-		lz4
-		machined
-		microhttpd
-		networkd
-		nscd
-		nss-myhostname
-		nss-resolve
-		nss-systemd
-		oomd
-		openssl
-		p11kit
-		pam
-		pcre2
-		polkit
-		portabled
-		pstore
-		pwquality
-		randomseed
-		resolve
-		rfkill
-		seccomp
-		smack
-		sysext
-		sysusers
-		timedated
-		timesyncd
-		tpm
-		qrencode
-		quotacheck
-		userdb
-		utmp
-		vconsole
-		wheel-group
-		xdg-autostart
-		xkbcommon
-		xz
-		zlib
-		zstd
-	)
-
-	# prepend -D and append =false, e.g. zstd becomes -Dzstd=false
-	systemd_disable_options=( ${systemd_disable_options[@]/#/-D} )
-	systemd_disable_options=( ${systemd_disable_options[@]/%/=false} )
-
-	local emesonargs=(
-		-Drootprefix="${EPREFIX:-/}"
-		-Dacl=true
-		-Dtmpfiles=true
-		-Dstandalone-binaries=true # this and below option does the magic
-		-Dstatic-libsystemd=true
-		-Dsysvinit-path=''
-		${systemd_disable_options[@]}
-		$(meson_use selinux)
-	)
-	meson_src_configure
-}
-
-src_compile() {
-	# tmpfiles and sysusers can be built as standalone and link systemd-shared in statically.
-	# https://github.com/systemd/systemd/pull/16061 original implementation
-	# we just need to pass -Dstandalone-binaries=true and
-	# use <name>.standalone target below.
-	# check meson.build for if have_standalone_binaries condition per target.
-	local mytargets=(
-		systemd-tmpfiles.standalone
-		man/tmpfiles.d.5
-		man/systemd-tmpfiles.8
-	)
-	meson_src_compile "${mytargets[@]}"
-}
-
-src_install() {
-	# lean and mean installation, single binary and man-pages
-	pushd "${BUILD_DIR}" > /dev/null || die
-	into /
-	newbin systemd-tmpfiles.standalone systemd-tmpfiles
-
-	doman man/{systemd-tmpfiles.8,tmpfiles.d.5}
-
-	popd > /dev/null || die
-
-	# service files adapter from opentmpfiles
-	newinitd "${FILESDIR}"/stmpfiles-dev.initd stmpfiles-dev
-	newinitd "${FILESDIR}"/stmpfiles-setup.initd stmpfiles-setup
-
-	# same content, but install as different file
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-dev
-	newconfd "${FILESDIR}"/stmpfiles.confd stmpfiles-setup
-}
-
-src_test() {
-	# 'meson test' will compile full systemd, but we can still outsmart it
-	"${EPYTHON}" test/test-systemd-tmpfiles.py \
-		"${BUILD_DIR}"/systemd-tmpfiles.standalone || die "${FUNCNAME} failed"
-}
-
-# stolen from opentmpfiles ebuild
-add_service() {
-	local initd=$1
-	local runlevel=$2
-
-	elog "Auto-adding '${initd}' service to your ${runlevel} runlevel"
-	mkdir -p "${EROOT}/etc/runlevels/${runlevel}"
-	ln -snf "${EPREFIX}/etc/init.d/${initd}" "${EROOT}/etc/runlevels/${runlevel}/${initd}"
-}
-
-pkg_postinst() {
-	if [[ -z $REPLACING_VERSIONS ]]; then
-		add_service stmpfiles-dev sysinit
-		add_service stmpfiles-setup boot
-	fi
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2022-10-28  7:41 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-10-29  5:03 [gentoo-commits] repo/gentoo:master commit in: sys-apps/systemd-tmpfiles/, sys-apps/systemd-tmpfiles/files/ Georgy Yakovlev
  -- strict thread matches above, loose matches on Subject: below --
2021-02-17 18:50 Georgy Yakovlev
2021-08-04 10:59 Georgy Yakovlev
2021-11-03 23:57 Sam James
2021-12-24  9:05 Georgy Yakovlev
2022-10-28  7:41 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox